Bug 529421 - mrepo package requires httpd exclusively. alternate webservers should satisfy dependencies.
Summary: mrepo package requires httpd exclusively. alternate webservers should satisfy...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: mrepo
Version: el5
Hardware: noarch
OS: Linux
low
low
Target Milestone: ---
Assignee: Susi Lehtola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-16 18:08 UTC by Christer Edwards
Modified: 2009-11-07 00:19 UTC (History)
2 users (show)

Fixed In Version: 0.8.6-5.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-06 05:56:33 UTC


Attachments (Terms of Use)

Description Christer Edwards 2009-10-16 18:08:06 UTC
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1.3) Gecko/20090909 Fedora/3.5.3-1.fc11 Firefox/3.5.3

The mrepo package from the epel repository requires http. Allowing for alternate webservers to satisfy that dependency would be preferred.

ie; I prefer lighttpd, which I have installed and configured, but I still need httpd installed to satisfy the dependency.

Reproducible: Always

Steps to Reproduce:
1. install lighttpd
2. install mrepo
3. httpd is installed as dependency


Expected Results:  
lighttpd (or other alternate webserver) would satisfy the webserver dependency

Comment 1 Susi Lehtola 2009-10-17 08:52:34 UTC
Can you verify that mrepo works with other http servers, too?

Comment 2 Christer Edwards 2009-10-17 15:10:03 UTC
We are using mrepo as part of our deployment system and are currently using lighttpd. I have not tested with nginx, but I can verify that it works with lighttpd.

Comment 3 Fedora Update System 2009-10-18 19:40:09 UTC
mrepo-0.8.6-5.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/mrepo-0.8.6-5.el4

Comment 4 Fedora Update System 2009-10-18 19:40:14 UTC
mrepo-0.8.6-5.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mrepo-0.8.6-5.fc11

Comment 5 Fedora Update System 2009-10-18 19:40:19 UTC
mrepo-0.8.6-5.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/mrepo-0.8.6-5.el5

Comment 6 Fedora Update System 2009-10-18 19:40:24 UTC
mrepo-0.8.6-5.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mrepo-0.8.6-5.fc10

Comment 7 Fedora Update System 2009-10-18 19:40:29 UTC
mrepo-0.8.6-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mrepo-0.8.6-5.fc12

Comment 8 Fedora Update System 2009-10-21 00:37:14 UTC
mrepo-0.8.6-5.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mrepo'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10571

Comment 9 Fedora Update System 2009-10-21 00:49:45 UTC
mrepo-0.8.6-5.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mrepo'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10655

Comment 10 Fedora Update System 2009-10-21 16:24:16 UTC
mrepo-0.8.6-5.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mrepo'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2009-0683

Comment 11 Fedora Update System 2009-10-21 16:24:44 UTC
mrepo-0.8.6-5.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mrepo'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0694

Comment 12 Fedora Update System 2009-11-06 05:56:28 UTC
mrepo-0.8.6-5.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-11-06 05:56:48 UTC
mrepo-0.8.6-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-11-07 00:17:37 UTC
mrepo-0.8.6-5.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2009-11-07 00:19:11 UTC
mrepo-0.8.6-5.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.